Get OAuth authorization server metadata
curl --request GET \
--url https://api.swapnice.com/.well-known/oauth-authorization-serverconst options = {method: 'GET'};
fetch('https://api.swapnice.com/.well-known/oauth-authorization-server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/.well-known/oauth-authorization-server"
response = requests.get(url)
print(response.text){
"issuer": "<string>",
"authorization_endpoint": "<string>",
"token_endpoint": "<string>",
"response_types_supported": [
"code"
],
"grant_types_supported": [
"authorization_code",
"refresh_token"
],
"code_challenge_methods_supported": [
"S256"
],
"introspection_endpoint": "<string>",
"revocation_endpoint": "<string>",
"scopes_supported": [
"<string>"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}OAuth
Get authorization server metadata
Discover authorize, token, introspect, and revoke URLs. No authentication.
GET
/
.well-known
/
oauth-authorization-server
Get OAuth authorization server metadata
curl --request GET \
--url https://api.swapnice.com/.well-known/oauth-authorization-serverconst options = {method: 'GET'};
fetch('https://api.swapnice.com/.well-known/oauth-authorization-server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/.well-known/oauth-authorization-server"
response = requests.get(url)
print(response.text){
"issuer": "<string>",
"authorization_endpoint": "<string>",
"token_endpoint": "<string>",
"response_types_supported": [
"code"
],
"grant_types_supported": [
"authorization_code",
"refresh_token"
],
"code_challenge_methods_supported": [
"S256"
],
"introspection_endpoint": "<string>",
"revocation_endpoint": "<string>",
"scopes_supported": [
"<string>"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Discover authorize, token, introspect, and revoke URLs. No authentication.
Call this first to confirm you are talking to the Partner API.
curl https://api.sandbox.swapnice.com/.well-known/oauth-authorization-server
Response
OAuth authorization server metadata.
Example:
["code"]
Example:
["authorization_code", "refresh_token"]
Example:
["S256"]
⌘I